| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Modules | Data Structures | Macros | Functions
ANT+ common page 80
ANT+ common pages

## Modules
| ANT+ common page 80 configuration

## Data Structures
struct | ant_common_page80_data_t
| Data structure for ANT+ common data page 80. More...

## Macros
#define | ANT_COMMON_PAGE_80 (80)
| ID value of common page 80.
#define | DEFAULT_ANT_COMMON_page80()
| Initialize page 80. More...
#define | ANT_COMMON_page80(hw_rev, man_id, mod_num)
| Initialize page 80. More...

## Functions
void | ant_common_page_80_encode (uint8_t *p_page_buffer, volatile ant_common_page80_data_t const *p_page_data)
| Function for encoding page 80. More...
void | ant_common_page_80_decode (uint8_t const *p_page_buffer, volatile ant_common_page80_data_t *p_page_data)
| Function for decoding page 80. More...

## Detailed Description

## Macro Definition Documentation

#define ANT_COMMON_page80 | ( |  | hw_rev,
|  |  | man_id,
|  |  | mod_num
| ) |  |

Value:
(ant_common_page80_data_t) \
{ \
.hw_revision = (hw_rev), \
.manufacturer_id = (man_id), \
.model_number = (mod_num), \
}

Initialize page 80.

#define DEFAULT_ANT_COMMON_page80 | ( |  | ) |

Value:
(ant_common_page80_data_t) \
{ \
.hw_revision = 0x00, \
.manufacturer_id = UINT8_MAX, \
.model_number = 0x00, \
}

Initialize page 80.

## Function Documentation

void ant_common_page_80_decode | ( | uint8_t const * | p_page_buffer,
|  | volatile ant_common_page80_data_t * | p_page_data
| ) |  |

Function for decoding page 80.

Parameters

  [in] | p_page_buffer | Pointer to the data buffer.
  [out] | p_page_data | Pointer to the page data.

void ant_common_page_80_encode | ( | uint8_t * | p_page_buffer,
|  | volatile ant_common_page80_data_t const * | p_page_data
| ) |  |

Function for encoding page 80.

Parameters

  [in] | p_page_data | Pointer to the page data.
  [out] | p_page_buffer | Pointer to the data buffer.